#include <ararm.h>
#include <LPC21xx.H> 

void task1 (void) __task;
void task2 (void) __task;

OS_TID tsk1,tsk2;

void main (void)
{
IODIR0 	= 0xFF;

os_sys_init (task1);
}


void task1 (void)	__task
{

tsk1 	= os_tsk_self();

tsk2 	= os_tsk_create(task2,0);

while(1)
{
IOCLR0 	= 0xFF; 										//clear output pins

}
}

void task2 (void)	__task
{

while(1)
{
IOSET0 	=  0xFF;
}
}

